"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.killSlashMiddleware = void 0;
const url_module = require("url");
/**
 * Any requests with trailing slashes will immediately return a Response object redirecting to a non-trailing-slash path
 */
const killSlashMiddleware = function (method, url, body, headers, next) {
    // TODO: parse is deprecated
    const parsedUrl = url_module.parse(url);
    const parsedPath = parsedUrl.path;
    if (!parsedPath) {
        return next();
    }
    // kill trailing slash as long as we aren't at the root level
    if (parsedPath !== '/' && parsedPath[parsedPath.length - 1] === '/') {
        return Promise.resolve(new this.Response('', 302, {
            location: parsedPath.substring(0, parsedPath.length - 1)
        }));
    }
    return next();
};
exports.killSlashMiddleware = killSlashMiddleware;
