"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.middleware = void 0;
const url_module = require("url");
const response_1 = require("../core/response");
/**
 * Any requests with trailing slashes will immediately return a Response object redirecting to a non-trailing-slash path
 */
const middleware = function (method, url, body, headers, next) {
    // TODO: parse is deprecated, but the URL object that replaces it doesn't do what I need it to
    const parsedUrl = url_module.parse(url);
    const parsedPath = parsedUrl.path;
    if (!parsedPath) {
        return next();
    }
    // kill trailing slash as long as we aren't at the root level
    if (parsedPath !== '/' && parsedPath[parsedPath.length - 1] === '/') {
        return Promise.resolve(new response_1.default('', 302, {
            location: parsedPath.substring(0, parsedPath.length - 1)
        }));
    }
    return next();
};
exports.middleware = middleware;
