"use strict";
/**
 * storeVals.ts
 * Copyright(c) 2021 Aaron Hedges <aaron@dashron.com>
 * MIT Licensed
 *
 * Exposes two functions on the context that allow you to store and retrieve values.
 * 	You can of course apply values directly to the context, but this is useful
 * 	to reduce polluting the context
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.middleware = void 0;
/**
 * Exposes two functions on the context that allow you to store and retrieve values.
 * 	You can of course apply values directly to the context, but this is useful
 * 	to reduce polluting the context
 */
const middleware = function (method, path, body, headers, next) {
    const storedVals = {};
    this.storeVal = (field, val) => {
        storedVals[field] = val;
    };
    this.getVal = (field) => {
        return storedVals[field];
    };
    this.getAllVals = () => {
        return storedVals;
    };
    return next();
};
exports.middleware = middleware;
