"use strict";
/* eslint-disable @typescript-eslint/no-explicit-any */
Object.defineProperty(exports, "__esModule", { value: true });
const reroute_1 = require("../../../middleware/reroute");
const response_1 = require("../../../core/response");
describe('Reroute middleware tests', () => {
    /**
     * Tests that the provided road's request method is bound to the
     * original road's context under the provided key
     */
    test('test request method is bound to context key', () => {
        expect.assertions(3);
        const request = function () {
            return Promise.resolve(new response_1.default('banana'));
        };
        const mockRoad = {
            request: request
        };
        const key = 'foo';
        const context = {};
        const middleware = (0, reroute_1.build)(key, mockRoad);
        expect(typeof (middleware)).toEqual('function');
        // eslint-disable-next-line @typescript-eslint/no-empty-function
        middleware.call(context, 'a', 'b', 'c', {}, function () { });
        expect(typeof (context[key])).toEqual('function');
        return expect(context[key]()).resolves.toEqual(new response_1.default('banana'));
    });
});
